import Vue from 'vue'
import './plugins/axios'
import App from './App.vue'
import vuetify from './plugins/vuetify'
import router from './router'
// import Vue from 'vue';
import Meta from 'vue-meta';

Vue.use(Meta);

const hostname = window.location.hostname;
if (hostname === 'stellaamor.com') {
    // Production environment
    Vue.prototype.$hostname = 'https://api.stellaamor.com/';
    Vue.prototype.$imageDomain = 'https://api.stellaamor.com/uploads/';
} else {
    // Local environment
    Vue.prototype.$hostname = 'http://api.stellaamor.com.local/';
    Vue.prototype.$imageDomain = 'http://api.stellaamor.com.local/uploads/';
}


Vue.config.productionTip = false

new Vue({
  vuetify,
  router,
  Meta,
  render: h => h(App)
}).$mount('#app')
